{
  "name": "playground",
  "version": "0.1.0",
  "author": {
    "name": "Gabriel Pichot"
  },
  "scripts": {
    "build": "npm run typecheck && vite build",
    "commit": "git-cz",
    "dev": "vite",
    "format": "prettier --write 'src/**/*.{ts,tsx,css}' && git update-index --again",
    "lint": "eslint 'src/**/*.{ts,tsx}'",
    "serve": "npm run build && vite preview --port 3000",
    "test:e2e": "start-server-and-test serve http://127.0.0.1:3000/ 'cypress open'",
    "test:e2e:ci": "start-server-and-test serve http://127.0.0.1:3000/ 'cypress run'",
    "test:unit": "jest --watch",
    "test:unit:ci": "jest",
    "test:unit:coverage": "jest --silent --watchAll=false --coverage",
    "typecheck": "tsc",
    "storybook": "start-storybook -p 6006",
    "build-storybook": "build-storybook"
  },
  "lint-staged": {
    "*.{css,md,json}": [
      "prettier --write"
    ],
    "*.ts?(x)": [
      "eslint",
      "prettier --write"
    ],
    "package.json": "npx sort-package-json"
  },
  "config": {
    "commitizen": {
      "path": "@commitlint/cz-commitlint"
    }
  },
  "dependencies": {
    "@artsy/fresnel": "^3.2.1",
    "pokedex-promise-v2": "^4.0.0",
    "react": "^17.0.2",
    "react-dom": "^17.0.2",
    "react-google-login": "^5.2.2",
    "react-query": "^3.34.6",
    "react-router-dom": "6",
    "semantic-ui-css": "^2.4.1",
    "semantic-ui-react": "^2.0.4",
    "use-deep-compare-effect": "^1.8.1"
  },
  "devDependencies": {
    "@babel/core": "^7.16.5",
    "@commitlint/cli": "^15.0.0",
    "@commitlint/config-conventional": "^15.0.0",
    "@commitlint/cz-commitlint": "^15.0.0",
    "@cypress/vite-dev-server": "^2.2.2",
    "@storybook/addon-actions": "^6.4.9",
    "@storybook/addon-essentials": "^6.4.9",
    "@storybook/addon-links": "^6.4.9",
    "@storybook/react": "^6.4.9",
    "@testing-library/jest-dom": "^5.16.1",
    "@testing-library/react": "^12.1.2",
    "@testing-library/react-hooks": "^7.0.2",
    "@testing-library/user-event": "^13.5.0",
    "@types/jest": "^27.0.3",
    "@types/node": "^17.0.2",
    "@types/react": "^17.0.37",
    "@types/react-dom": "^17.0.11",
    "@typescript-eslint/eslint-plugin": "^5.8.0",
    "@typescript-eslint/parser": "^5.8.0",
    "@vitejs/plugin-legacy": "^1.6.4",
    "@vitejs/plugin-react-refresh": "^1.3.6",
    "autoprefixer": "^10.4.0",
    "babel-loader": "^8.2.3",
    "commitizen": "^4.2.4",
    "cypress": "^9.1.1",
    "eslint": "^8.5.0",
    "eslint-config-prettier": "^8.3.0",
    "eslint-import-resolver-typescript": "^2.5.0",
    "eslint-plugin-cypress": "^2.12.1",
    "eslint-plugin-import": "^2.25.3",
    "eslint-plugin-jest": "^25.3.0",
    "eslint-plugin-jest-dom": "^3.9.2",
    "eslint-plugin-jsx-a11y": "^6.5.1",
    "eslint-plugin-prettier": "^4.0.0",
    "eslint-plugin-react": "^7.27.1",
    "eslint-plugin-react-hooks": "^4.3.0",
    "eslint-plugin-simple-import-sort": "^7.0.0",
    "eslint-plugin-storybook": "^0.5.5",
    "eslint-plugin-testing-library": "^5.0.1",
    "identity-obj-proxy": "^3.0.0",
    "jest": "^27.4.5",
    "lint-staged": "^12.1.3",
    "postcss": "^8.4.5",
    "postcss-import": "^14.0.2",
    "postcss-nesting": "^10.0.3",
    "prettier": "^2.5.1",
    "sort-package-json": "^1.53.1",
    "start-server-and-test": "^1.14.0",
    "ts-jest": "^27.1.2",
    "typescript": "^4.5.4",
    "vite": "^2.7.4"
  },
  "resolutions": {
    "postcss": "8"
  }
}
